Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.data.xy
Interface XYDataset

All Superinterfaces:
  Dataset, SeriesDataset

All Known Subinterfaces:
  BoxAndWhiskerXYDataset, ContourDataset, IntervalXYDataset, IntervalXYZDataset, OHLCDataset, TableXYDataset, WindDataset, XYZDataset

All Known Implementing Classes:
  AbstractIntervalXYDataset, AbstractXYDataset, AbstractXYZDataset, CategoryTableXYDataset, CombinedDataset, CyclicXYItemRenderer.OverwriteDataSet, DefaultBoxAndWhiskerXYDataset, DefaultContourDataset, DefaultHighLowDataset, DefaultIntervalXYDataset, DefaultOHLCDataset, DefaultTableXYDataset, DefaultWindDataset, DefaultXYDataset, DefaultXYZDataset, DynamicTimeSeriesCollection, HistogramDataset, JDBCXYDataset, MatrixSeriesCollection, NonGridContourDataset, OHLCSeriesCollection, SimpleHistogramDataset, SubSeriesDataset, TimePeriodValuesCollection, TimeSeriesCollection, TimeTableXYDataset, XIntervalSeriesCollection, XYBarDataset, XYIntervalSeriesCollection, XYSeriesCollection, YIntervalSeriesCollection

    public interface XYDataset

extends SeriesDataset

An interface through which data in the form of (x, y) items can be accessed.

Method Summary
`DomainOrder` | `getDomainOrder()` Returns the order of the domain (or X) values returned by the dataset.
`int` | `getItemCount(int series)` Returns the number of items in a series.
`java.lang.Number` | `getX(int series, int item)` Returns the x-value for an item within a series.
`double` | `getXValue(int series, int item)` Returns the x-value for an item within a series.
`java.lang.Number` | `getY(int series, int item)` Returns the y-value for an item within a series.
`double` | `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.

Methods inherited from interface org.jfree.data.general.SeriesDataset
`getSeriesCount, getSeriesKey, indexOf`

Methods inherited from interface org.jfree.data.general.Dataset
`addChangeListener, getGroup, removeChangeListener, setGroup`

Method Detail

### getDomainOrder

    DomainOrder getDomainOrder()

  Returns the order of the domain (or X) values returned by the dataset.

  Returns:
    The order (never `null`).

### getItemCount

    int getItemCount(int series)

  Returns the number of items in a series.
  It is recommended that classes that implement this method should throw an `IllegalArgumentException` if the `series` argument is outside the specified range.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
  Returns:
    The item count.

### getX

    java.lang.Number getX(int series,
                          int item)

  Returns the x-value for an item within a series. The x-values may or may not be returned in ascending order, that is up to the class implementing the interface.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
    `item` - the item index (in the range `0` to `getItemCount(series)`).
  Returns:
    The x-value (never `null`).

### getXValue

    double getXValue(int series,
                     int item)

  Returns the x-value for an item within a series.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
    `item` - the item index (in the range `0` to `getItemCount(series)`).
  Returns:
    The x-value.

### getY

    java.lang.Number getY(int series,
                          int item)

  Returns the y-value for an item within a series.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
    `item` - the item index (in the range `0` to `getItemCount(series)`).
  Returns:
    The y-value (possibly `null`).

### getYValue

    double getYValue(int series,
                     int item)

  Returns the y-value (as a double primitive) for an item within a series.

  Parameters:
    `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
    `item` - the item index (in the range `0` to `getItemCount(series)`).
  Returns:
    The y-value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD